## GoaDocuments GoaDocuments — Generated C code for the org.gnome.OnlineAccounts.Documents D-Bus interface |

## Functions

GDBusInterfaceInfo * | goa_documents_interface_info ()
guint | goa_documents_override_properties ()

## Types and Values

| GoaDocuments
struct | GoaDocumentsIface
struct | GoaDocumentsProxy
struct | GoaDocumentsProxyClass
struct | GoaDocumentsSkeleton
struct | GoaDocumentsSkeletonClass

## Object Hierarchy

        GInterface
        ╰── GoaDocuments
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── GoaDocumentsSkeleton
        ╰── GDBusProxy
            ╰── GoaDocumentsProxy

## Prerequisites

GoaDocuments requires GObject.

## Implemented Interfaces

GoaDocumentsProxy implements GDBusInterface, GInitable, GAsyncInitable and GoaDocuments.

GoaDocumentsSkeleton implements GDBusInterface and GoaDocuments.

## Known Implementations

GoaDocuments is implemented by GoaDocumentsProxy and GoaDocumentsSkeleton.

## Description

This section contains code for working with the org.gnome.OnlineAccounts.Documents D-Bus interface in C.

## Functions

### goa_documents_interface_info ()

    GDBusInterfaceInfo *
    goa_documents_interface_info (void);

`goa_documents_interface_info` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Gets a machine-readable description of the org.gnome.OnlineAccounts.Documents D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### goa_documents_override_properties ()

    guint
    goa_documents_override_properties (GObjectClass *klass,
                                       guint property_id_begin);

`goa_documents_override_properties` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Overrides all GObject properties in the GoaDocuments interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

## Types and Values

### GoaDocuments

    typedef struct _GoaDocuments GoaDocuments;

`GoaDocuments` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.Documents.

### struct GoaDocumentsIface

    struct GoaDocumentsIface {
      GTypeInterface parent_iface;
    };

`GoaDocumentsIface` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.Documents.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |

### struct GoaDocumentsProxy

    struct GoaDocumentsProxy;

`GoaDocumentsProxy` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

The GoaDocumentsProxy structure contains only private data and should only be accessed using the provided API.

### struct GoaDocumentsProxyClass

    struct GoaDocumentsProxyClass {
      GDBusProxyClass parent_class;
    };

`GoaDocumentsProxyClass` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Class structure for GoaDocumentsProxy.

#### Members

### struct GoaDocumentsSkeleton

    struct GoaDocumentsSkeleton;

`GoaDocumentsSkeleton` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

The GoaDocumentsSkeleton structure contains only private data and should only be accessed using the provided API.

### struct GoaDocumentsSkeletonClass

    struct GoaDocumentsSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

`GoaDocumentsSkeletonClass` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Class structure for GoaDocumentsSkeleton.

#### Members